Loading...

Knowledge Center


Intel Security - Security Bulletin: VirusScan Enterprise for Linux/LinuxShield update fixes multiple vulnerabilities (CVE-2016-8016, CVE-2016-8017, CVE-2016-8018, CVE-2016-8019, CVE-2016-8020, CVE-2016-8021, CVE-2016-8022, CVE-2016-8023, CVE-2016-8024, CVE-2016-8025)
Security Bulletins ID:   SB10181
Last Modified:  12/19/2016
Rated:


Summary

First Published: 12/9/2016
 
CVE Information
CVE Numbers Severity Rating CVSS v3 Base Score /
Temporal Scores
Impact of Vulnerability
CVE-2016-8023 High 8.1 / 7.1 Authentication Bypass by Assumed-Immutable Data (CWE-302 - http://cwe.mitre.org/data/definitions/302.html)
CVE-2016-8024 High 8.1 / 7.1 Improper Neutralization of CRLF Sequences in HTTP (CWE-113 - http://cwe.mitre.org/data/definitions/113.html)
CVE-2016-8020 High 8.0 / 7.0 Improper Control of Generation of Code (CWE-94 - http://cwe.mitre.org/data/definitions/94.html)
CVE-2016-8022 High 7.5 / 6.5 Authentication Bypass by Spoofing (CWE-290 - http://cwe.mitre.org/data/definitions/290.html)
CVE-2016-8025 Medium 6.2 / 5.4 Improper Neutralization of Special Elements used in an SQL Command (CWE-89 - http://cwe.mitre.org/data/definitions/89.html)
CVE-2016-8021 Medium 4.4 / 3.9 Improper Verification of Cryptographic Signature (CWE-347 - http://cwe.mitre.org/data/definitions/347.html)
CVE-2016-8018 Medium 4.3 / 3.8 Cross-Site Request Forgery (CWE-352 - http://cwe.mitre.org/data/definitions/352.html)
CVE-2016-8019 Medium 4.3 / 3.8 Cross-site Scripting (CWE-79 - http://cwe.mitre.org/data/definitions/79.html)
CVE-2016-8016 Low 3.4 / 3.0 Information Exposure (CWE-200 - http://cwe.mitre.org/data/definitions/200.html)
CVE-2016-8017 Low 3.4 / 3.0 Failure to Sanitize Special Elements (CWE-75 - http://cwe.mitre.org/data/definitions/75.html)
 Recommendations:  Upgrade to Endpoint Security for Linux (ENSL) Threat Prevention 10.2 or later
 Security Bulletin Replacement:  None   
 Affected Software:  VirusScan Enterprise for Linux (VSEL) 2.0.3 and earlier
 Location of Updated Software:  http://www.mcafee.com/us/downloads/downloads.aspx

{GENSUB.EN_US}
Article contents:

Description

VSEL 2.0.3 (and earlier) is vulnerable to the following published security vulnerabilities. The ENSL 10.2 release resolves the following vulnerabilities. Intel Security highly recommends that all customers upgrade from VSEL to ENSL.
  • CVE-2016-8016: Information Exposure in VirusScan Enterprise Linux 2.0.3 (and earlier) allows authenticated remote attackers to obtain the existence of unauthorized files on the system via a URL parameter.
  • CVE-2016-8017: Special Element Injection in VirusScan Enterprise Linux 2.0.3 (and earlier) allows authenticated remote attackers to read files on the webserver via a crafted user input.
  • CVE-2016-8018: Cross Site Request Forgery (CSRF) in VirusScan Enterprise Linux 2.0.3 (and earlier) allows authenticated remote attackers to execute unauthorized commands via a crafted user input.
  • CVE-2016-8019: Cross-Site Scripting (XSS) in Attributes in VirusScan Enterprise Linux 2.0.3 (and earlier) allows unauthenticated remote attackers to inject arbitrary web script or HTML via a crafted user input.
  • CVE-2016-8020: Improper Control of Generation of Code in VirusScan Enterprise Linux 2.0.3 (and earlier) allows remote authenticated users to execute arbitrary code via a crafted HTTP request parameter.
  • CVE-2016-8021: Improper Verification of Cryptographic Signature in VirusScan Enterprise Linux 2.0.3 (and earlier) allows remote authenticated users to spoof update server and execute arbitrary code via a crafted input file.
  • CVE-2016-8022: Authentication Bypass by Spoofing in VirusScan Enterprise Linux 2.0.3 (and earlier) allows remote unauthenticated attacker to execute arbitrary code or cause a denial of service via a crafted cookie.
  • CVE-2016-8023: Authentication Bypass by Assumed-Immutable Data in VirusScan Enterprise Linux 2.0.3 (and earlier) allows remote unauthenticated attacker to bypass server authentication via a crafted cookie.
  • CVE-2016-8024: Improper Neutralization of CRLF Sequences in HTTP Headers in VirusScan Enterprise Linux 2.0.3 (and earlier) allows remote unauthenticated attacker to obtain sensitive information via the server HTTP response spoofing.
  • CVE-2016-8025: SQL Injection in VirusScan Enterprise Linux 2.0.3 (and earlier) allows remote authenticated users to obtain product information via a crafted HTTP request parameter.

Remediation

Go to the Product Downloads site and download the applicable product patch file:
 
Product Type Version File Name Release Date
Endpoint Security for Linux RTW 10.2.0 ISecTP-10.2.0-534-Release-standalone.tar.gz
ISecTP-10.2.0-534-Release-ePO.zip
September 8, 2016

Download and Installation Instructions
See KB56057 for instructions on how to download Intel Security / McAfee products, documentation, security updates, patches, and hotfixes. Review the Release Notes and the Installation Guide, which you can download from the Documentation tab, for instructions on how to install these updates.

Product Specific Notes

This issue does not apply to Management for Optimized Virtual Environments (MOVE) because the installation does not install the vulnerable Web UI for VSEL.

Workaround

Installing the provided product package specified in the Remediation table is strongly encouraged.

For ePolicy Orchestrator (ePO) managed systems, customers can disable the VSEL Web Interface using the following steps:
  1. Log into the ePO console.
  2. Open the policy catalog for VirusScan Enterprise for Linux 1.9.2/2.0.3.
  3. Open the General Policies policy that is currently assigned.
  4. Click the Advanced tab.
  5. Check the box next to Disable client Web UI.
  6. Click Save.
  7. Perform an Agent wakeup call to enforce the policy.
For unmanaged systems, customers can disable the VSEL Web Interface using the following steps:
  1. From a terminal session open the following file in a text editor:

    <runtimeDir>/etc/nailsd.cfg

    NOTE: The default location is /var/opt/NAI/LinuxShield/etc/nailsd.cfg.
     
  2. Locate the following entry

    nailsd.disableCltWEbUI: false
     
  3. Change the value to true.
  4. Save and close the file.
  5. Run the following command to restart the nails service:

    service nails restart or /etc/init.d/nails restart

Mitigations

Intel Security recommends that VSEL administrators minimizes access to the Web UI and make sure to log off and close the browser after performing any configuration changes. Customers may also limit access to VSEL systems to trusted IP addresses only.

Acknowledgements

Intel Security credits Andrew Fasano who reported these issues to CERT.

Frequently Asked Questions (FAQs)

What is CVSS?
CVSS, or Common Vulnerability Scoring System, is the result of the National Infrastructure Advisory Council’s effort to standardize a system of assessing the criticality of a vulnerability. This system offers an unbiased criticality score between 0 and 10 that customers can use to judge how critical a vulnerability is and plan accordingly. For more information, please visit the CVSS website at: http://www.first.org/cvss/.

When calculating CVSS scores, Intel Security has adopted a philosophy that fosters consistency and repeatability. Our guiding principle for CVSS scoring is to score the exploit under consideration by itself. We consider only the immediate and direct impact of the exploit under consideration. We do not factor into a score any potential follow-on exploits that might be made possible by successful exploitation of the issue being scored
 
What are the CVSS scoring metrics that have been used?
 
CVE-2016-8016: Information Exposure
 
 Base Score 3.4
 Attack Vector (AV) Network (N)
 Attack Complexity (AC) Low (L)
 Privileges Required (PR) High (H)
 User Interaction (UI) Required (R)
 Scope (S) Changed (C)
Confidentiality (C) Low (L)
Integrity (I) None (N)
Availability (A) None (N)
 Temporal Score (Overall) 3.0
 Exploitability (E) Unproven that Exploit Exists (U)
 Remediation Level (RL) Official Fix (OF)
 Report Confidence (RC) Confirmed (C)

NOTE: The below CVSS version 3.0 vector was used to generate this score.
https://nvd.nist.gov/cvss/v3-calculator?vector=AV:N/AC:L/PR:H/UI:R/S:C/C:L/I:N/A:N/E:U/RL:O/RC:C
 
CVE-2016-8017: Failure to Sanitize Special Elements
 
 Base Score 3.4
 Attack Vector (AV) Network (N)
 Attack Complexity (AC) Low (L)
 Privileges Required (PR) High (H)
 User Interaction (UI) Required (R)
 Scope (S) Changed (C)
Confidentiality (C) Low (L)
Integrity (I) None (N)
Availability (A) None (N)
 Temporal Score (Overall) 3.0
 Exploitability (E) Unproven that Exploit Exists (U)
 Remediation Level (RL) Official Fix (OF)
 Report Confidence (RC) Confirmed (C)

NOTE: The below CVSS version 3.0 vector was used to generate this score.
https://nvd.nist.gov/cvss/v3-calculator?vector=AV:N/AC:L/PR:H/UI:R/S:C/C:L/I:N/A:N/E:U/RL:O/RC:C
 
CVE-2016-8018: Cross-Site Request Forgery (CSRF)
 
 Base Score 4.3
 Attack Vector (AV) Network (N)
 Attack Complexity (AC) Low (L)
 Privileges Required (PR) High (H)
 User Interaction (UI) Required (R)
 Scope (S) Unchanged (U)
Confidentiality (C) Low (L)
Integrity (I) Low (L)
Availability (A) Low (L)
 Temporal Score (Overall) 3.8
 Exploitability (E) Unproven that Exploit Exists (U)
 Remediation Level (RL) Official Fix (OF)
 Report Confidence (RC) Confirmed (C)

NOTE: The below CVSS version 3.0 vector was used to generate this score.
https://nvd.nist.gov/cvss/v3-calculator?vector=AV:N/AC:L/PR:H/UI:R/S:U/C:L/I:L/A:L/E:U/RL:O/RC:C
 
CVE-2016-8019: Cross-site Scripting
 
 Base Score 4.3
 Attack Vector (AV) Network (N)
 Attack Complexity (AC) Low (L)
 Privileges Required (PR) High (H)
 User Interaction (UI) Required (R)
 Scope (S) Unchanged (U)
Confidentiality (C) Low (L)
Integrity (I) Low (L)
Availability (A) Low (L)
 Temporal Score (Overall) 3.8
 Exploitability (E) Unproven that Exploit Exists (U)
 Remediation Level (RL) Official Fix (OF)
 Report Confidence (RC) Confirmed (C)

NOTE: The below CVSS version 3.0 vector was used to generate this score.
https://nvd.nist.gov/cvss/v3-calculator?vector=AV:N/AC:L/PR:H/UI:R/S:U/C:L/I:L/A:L/E:U/RL:O/RC:C
 
CVE-2016-8020:  Improper Control of Generation of Code
 
 Base Score 8.0
 Attack Vector (AV) Network (N)
 Attack Complexity (AC) High (H)
 Privileges Required (PR) High (H)
 User Interaction (UI) Required (R)
 Scope (S) Changed (C)
Confidentiality (C) High (H)
Integrity (I) High (H)
Availability (A) High (H)
 Temporal Score (Overall) 7.0
 Exploitability (E) Unproven that Exploit Exists (U)
 Remediation Level (RL) Official Fix (OF)
 Report Confidence (RC) Confirmed (C)

NOTE: The below CVSS version 3.0 vector was used to generate this score.
https://nvd.nist.gov/cvss/v3-calculator?vector=AV:N/AC:H/PR:H/UI:N/S:C/C:H/I:H/A:H/E:U/RL:O/RC:C
 
CVE-2016-8021: Improper Verification of Cryptographic Signature
 
 Base Score 4.4
 Attack Vector (AV) Network (N)
 Attack Complexity (AC) High (H)
 Privileges Required (PR) High (H)
 User Interaction (UI) Required (R)
 Scope (S) Unchanged (U)
Confidentiality (C) None(N)
Integrity (I) High (H)
Availability (A) None (N)
 Temporal Score (Overall) 3.9
 Exploitability (E) Unproven that Exploit Exists (U)
 Remediation Level (RL) Official Fix (OF)
 Report Confidence (RC) Confirmed (C)

NOTE: The below CVSS version 3.0 vector was used to generate this score.
https://nvd.nist.gov/cvss/v3-calculator?vector=AV:N/AC:H/PR:H/UI:N/S:U/C:N/I:H/A:N/E:U/RL:O/RC:C
 
CVE-2016-8022: Authentication Bypass by Spoofing
 
 Base Score 7.5
 Attack Vector (AV) Network (N)
 Attack Complexity (AC) High (H)
 Privileges Required (PR) None (N)
 User Interaction (UI) Required (R)
 Scope (S) Unchanged (C)
Confidentiality (C) High (H)
Integrity (I) High (H)
Availability (A) High (H)
 Temporal Score (Overall) 6.5
 Exploitability (E) Unproven that Exploit Exists (U)
 Remediation Level (RL) Official Fix (OF)
 Report Confidence (RC) Confirmed (C)

NOTE: The below CVSS version 3.0 vector was used to generate this score.
https://nvd.nist.gov/cvss/v3-calculator?vector=AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H/E:U/RL:O/RC:C
 
CVE-2016-8023: Authentication Bypass by Assumed-Immutable Data
 
 Base Score 8.1
 Attack Vector (AV) Network (N)
 Attack Complexity (AC) High (H)
 Privileges Required (PR) None (N)
 User Interaction (UI) None (N)
 Scope (S) Unchanged (U)
Confidentiality (C) High (H)
Integrity (I) High (H)
Availability (A) High (H)
 Temporal Score (Overall) 7.1
 Exploitability (E) Unproven that Exploit Exists (U)
 Remediation Level (RL) Official Fix (OF)
 Report Confidence (RC) Confirmed (C)

NOTE: The below CVSS version 3.0 vector was used to generate this score.
https://nvd.nist.gov/cvss/v3-calculator?vector=AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H/E:U/RL:O/RC:C
 
CVE-2016-8024: Improper Neutralization of CRLF Sequences in HTTP Headers
 
 Base Score 8.1
 Attack Vector (AV) Network (N)
 Attack Complexity (AC) High (H)
 Privileges Required (PR) None (N)
 User Interaction (UI) None (N)
 Scope (S) Unchanged (U)
Confidentiality (C) High (H)
Integrity (I) High (H)
Availability (A) High (H)
 Temporal Score (Overall) 7.1
 Exploitability (E) Unproven that Exploit Exists (U)
 Remediation Level (RL) Official Fix (OF)
 Report Confidence (RC) Confirmed (C)

NOTE: The below CVSS version 3.0 vector was used to generate this score.
https://nvd.nist.gov/cvss/v3-calculator?vector=AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H/E:U/RL:O/RC:C
 
CVE-2016-8025: Improper Neutralization of Special Elements used in an SQL Command
 
 Base Score 6.2
 Attack Vector (AV) Network (N)
 Attack Complexity (AC) High (H)
 Privileges Required (PR) High (H)
 User Interaction (UI) None (N)
 Scope (S) Unchanged (U)
Confidentiality (C) High (H)
Integrity (I) High (H)
Availability (A) Low (L)
 Temporal Score (Overall) 5.4
 Exploitability (E) Unproven that Exploit Exists (U)
 Remediation Level (RL) Official Fix (OF)
 Report Confidence (RC) Confirmed (C)

NOTE: The below CVSS version 3.0 vector was used to generate this score.
https://nvd.nist.gov/cvss/v3-calculator?vector=AV:N/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:L/E:U/RL:O/RC:C

Where can I find a list of all security bulletins or how do I report a product vulnerability?
To find a list of all security bulletins, or if you have information about a security issue or vulnerability with an Intel Security product, please visit our product security website at: http://www.mcafee.com/us/threat-center/product-security-bulletins.aspx.

Resources

{GENAA.EN_US}

Disclaimer

The information provided in this security bulletin is provided as is without warranty of any kind. Intel Security disclaims all warranties, either express or implied, including the warranties of merchantability and fitness for a particular purpose. In no event shall Intel Security or its suppliers be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits, or special damages, even if Intel Security or its suppliers have been advised of the possibility of such damages. Some states do not allow the exclusion or limitation of liability for consequential or incidental damages so the foregoing limitation may not apply.
 
Any future product release dates mentioned in this security bulletin are intended to outline our general product direction and they should not be relied on in making a purchasing decision. The product release dates are for information purposes only, and may not be incorporated into any contract. The product release dates are not a commitment, promise, or legal obligation to deliver any material, code, or functionality. The development, release, and timing of any features or functionality described for our products remains at our sole discretion and may be changed or cancelled at any time.

Rate this document

Did this article resolve your issue?

Please provide any comments below

Beta Translate with

Select a desired language below to translate this page.

Glossary of Technical Terms


Highlight Glossary Terms

Please take a moment to browse our Glossary of Technical Terms.